#
# Conditional build:
%bcond_without	ocaml_opt	# skip building native optimized binaries (bytecode is always built)

# not yet available on x32 (ocaml 4.02.1), remove when upstream will support it
%ifnarch %{ix86} %{x8664} arm aarch64 ppc sparc sparcv9
%undefine	with_ocaml_opt
%endif

Summary:	Zlib binding for OCaml
Summary(pl.UTF-8):	Wiązania Zlib dla OCamla
Name:		ocaml-zip
Version:	1.04
Release:	4
License:	LGPL
Group:		Libraries
URL:		http://pauillac.inria.fr/~xleroy/software.html
Source0:	http://caml.inria.fr/distrib/bazar-ocaml/camlzip-%{version}.tar.gz
# Source0-md5:	b3930f4f2e2563b9a5e1b17aa455e635
BuildRequires:	ocaml >= 1:3.09.2
BuildRequires:	zlib-devel
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Objective Caml library provides easy access to compressed files
in ZIP and GZIP format, as well as to Java JAR files. It provides
functions for reading from and writing to compressed files in these
formats.

This package contains files needed to run bytecode executables using
this library.

%description -l pl.UTF-8
Biblioteka ta pozwala na dostęp do plików w formacie ZIP i GZIP jak
również dla plików JAR Javy z poziomy OCamla. Udostępnia ona funkcje
do czytania i pisania do plików w tych formatach.

Pakiet ten zawiera binaria potrzebne do uruchamiania programów
używających tej biblioteki.

%package devel
Summary:	Zlib binding for OCaml - development part
Summary(pl.UTF-8):	Wiązania Zlib dla OCamla - cześć programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description devel
This Objective Caml library provides easy access to compressed files
in ZIP and GZIP format, as well as to Java JAR files. It provides
functions for reading from and writing to compressed files in these
formats.

This package contains files needed to develop OCaml programs using
this library.

%description devel -l pl.UTF-8
Biblioteka ta pozwala na dostęp do plików w formacie ZIP i GZIP jak
również dla plików JAR Javy z poziomy OCamla. Udostępnia ona funkcje
do czytania i pisania do plików w tych formatach.

Pakiet ten zawiera pliki niezbędne do tworzenia programów używających
tej biblioteki.

%prep
%setup -q -n camlzip-%{version}

%build
%{__cc} %{rpmcflags} -fPIC -c zlibstubs.c
%{__make} all %{?with_ocaml_opt:allopt} \
	OCAMLC=ocamlc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/stublibs

%{__make} install %{?with_ocaml_opt:installopt} \
	INSTALLDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml/zip \
	OCAMLC="echo $RPM_BUILD_ROOT; true"

install zlib.cm[ixa]* $RPM_BUILD_ROOT%{_libdir}/ocaml/zip

mv $RPM_BUILD_ROOT%{_libdir}/ocaml/zip/dll*.so $RPM_BUILD_ROOT%{_libdir}/ocaml/stublibs

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r test/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/zip
cat > $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/zip/META <<EOF
requires = ""
version = "%{version}"
directory = "+zip"
archive(byte) = "zip.cma"
archive(native) = "zip.cmxa"
linkopts = ""
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ocaml/stublibs/*.so

%files devel
%defattr(644,root,root,755)
%doc README *.mli
%dir %{_libdir}/ocaml/zip
%{_libdir}/ocaml/zip/*.cma
%{_libdir}/ocaml/zip/*.cm[ix]
%{_libdir}/ocaml/zip/*.mli
%{_libdir}/ocaml/zip/libcamlzip.a
%if %{with ocaml_opt}
%{_libdir}/ocaml/zip/*.cmxa
%{_libdir}/ocaml/zip/zip.a
%endif
%{_examplesdir}/%{name}-%{version}
%{_libdir}/ocaml/site-lib/zip
%changelog
* Sat Jul 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ocaml-zip.git;a=log;h=master

* Sat Jul 25 2015 Jan Rękorajski <baggins@pld-linux.org> 4188255
- add ocaml_opt bcond
- rel 4

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> 09b29e4
- rebuild with ocaml 4.02
- release 3 (by relup.sh)

* Mon Jul 18 2011 Jan Rękorajski <baggins@pld-linux.org> 58067d6
- rel 2
- package zlib stubs

* Mon Jul 18 2011 Jan Rękorajski <baggins@pld-linux.org> 50ad57f
- 1.04

* Tue Dec 25 2007 zbyniu <zbyniu@pld-linux.org> 20cdf07
- up to 1.03

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5107d90
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ab389ca
- converted to UTF-8

* Wed May 31 2006 Elan Ruusamäe <glen@pld-linux.org> 938e1f7
- rel 9 (rebuild with ocaml-3.09.2)

* Sun Apr 16 2006 Elan Ruusamäe <glen@pld-linux.org> 90925e4
- ocaml epoch is 1

* Sat Apr 15 2006 Elan Ruusamäe <glen@pld-linux.org> bff7620
- ocaml 3.09.1

* Sat Dec 10 2005 Jan Rękorajski <baggins@pld-linux.org> b964fb9
- release 6 for ocaml 3.09.0

* Tue Oct 11 2005 Sławomir Paszkiewicz <paszczus@pld-linux.org> b424502
- release up to rebuild with new ocaml

* Sat May 21 2005 ankry <ankry@pld-linux.org> a888a7f
- rel. 4

* Fri Aug 27 2004 havner <havner@pld-linux.org> e3b669d
- [mass commit], rel up for rebuild with ocaml

* Wed Sep 03 2003 Michal Moskal <michal@moskal.me> 86ffef8
- fixed .so stuff
- release 2 (ocaml 3.07)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> a70edae
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 9cd8eca
- massive attack s/pld.org.pl/pld-linux.org/

* Wed Nov 27 2002 juandon <witekfl@pld-linux.org> 2c08ab9
- new %%doc

* Mon May 13 2002 Michal Moskal <michal@moskal.me> 84be62d
- initial; from scratch

